Class | Sequel::Postgres::RangeOp
In: | lib/sequel/extensions/pg_range_ops.rb
Parent: | Sequel::SQL::Wrapper

The RangeOp class is a simple container for a single object that defines methods that yield Sequel expression objects representing PostgreSQL range operators and functions.

Most methods in this class are defined via metaprogramming, see the pg_range_ops extension documentation for details on the API.

### Methods

pg_range

### Constants

OPERATORS | = | { :contains => ["(".freeze, " @> ".freeze, ")".freeze].freeze, :contained_by => ["(".freeze, " <@ ".freeze, ")".freeze].freeze, :left_of => ["(".freeze, " << ".freeze, ")".freeze].freeze, :right_of => ["(".freeze, " >> ".freeze, ")".freeze].freeze, :starts_before => ["(".freeze, " &< ".freeze, ")".freeze].freeze, :ends_after => ["(".freeze, " &> ".freeze, ")".freeze].freeze, :adjacent_to => ["(".freeze, " -|- ".freeze, ")".freeze].freeze, :overlaps => ["(".freeze, " && ".freeze, ")".freeze].freeze, }
FUNCTIONS | = | %w'lower upper isempty lower_inc upper_inc lower_inf upper_inf'

### Public Instance methods

pg_range()

Return the receiver.

[Source]

        # File lib/sequel/extensions/pg_range_ops.rb, line 89
    89:       def pg_range
    90:         self
    91:       end

[Validate]